package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceMemberAssignReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceMemeberPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceMemeberPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceMemeberSaveReqVO;

import java.util.List;

public interface HomeServiceMemberService {

    Long createHomeServiceMemeber(HomeServiceMemeberSaveReqVO createReqVO);

    void updateHomeServiceMemeber(HomeServiceMemeberSaveReqVO updateReqVO);

    void deleteHomeServiceMemeber(Long id);

    HomeServiceMemeberPageRespVO getHomeServiceMemeber(Long id);

    PageResult<HomeServiceMemeberPageRespVO> getHomeServiceMemeberPage(HomeServiceMemeberPageReqVO pageReqVO);

    void assignHomeServiceMember(List<HomeServiceMemberAssignReqVO> assignReqVOList);
}
